Check Point Reference:CPAI-2013-033
Date Published: 20 Feb 2013
Severity: High
Last Updated:
Source: CVE-2011-3414
Protection Provided by:

Security Gateway
R70

  • R71
  • R75

  • Who is Vulnerable? Microsoft .NET Framework 4 and prior
    Vulnerability Description A denial of service vulnerability has been reported in Microsoft ASP.NET and PHP. Successful exploitation could degrade performance significantly, possibly resulting in a denial of service condition.
    Update/Patch AvaliableApply patches from: MS11-100
    Vulnerability DetailsThe vulnerability is caused due to the way common web framework implementations use hash tables to map parameters and values of web requests. A remote attacker may exploit this vulnerability by generating multiple requests containing colliding key values to an affected server.

    Protection Overview

    IPS will detect and block the transferring of malicious requests to the server.

    In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, Protection tab and select the version of your choice.

    1. In the IPS tab, click Protections and find the Microsoft ASP.NET and PHP Hash Collision Denial of Service - Specific protection using the Search tool and Edit the protection's settings.
    2. Install policy on all modules.

    SmartView Tracker will log the following entries:
    Attack Name: Web Server Enforcement Violation
    Attack Information: Microsoft ASP.NET and PHP Hash Collision Denial of Service - Specific